#infoTheli-at's Pseudo Kleinian (Scale 1 JuliaBox + Something
#define KN_VOLUMETRIC
//#define USE_EIFFIE_SHADOW
#include "DE-Kn2.frag"
#include "MathUtils.frag"
#group PseudoKleinian

#define USE_INF_NORM



// Made by Knighty, see this thread:
// http://www.fractalforums.com/3d-fractal-generation/fragmentarium-an-ide-for-exploring-3d-fractals-and-other-systems-on-the-gpu/msg32270/#msg32270

// Maximum iterations
uniform int MI; slider[0,5,20]

// Bailout
//uniform float Bailout; slider[0,20,1000]

// Size
uniform float Size; slider[0,1,2]

// Cubic fold Size
uniform vec3 CSize; slider[(0,0,0),(1,1,1),(2,2,2)]

// Julia constant
uniform vec3 C; slider[(-2,-2,-2),(0,0,0),(2,2,2)]

// Thingy thickness
uniform float TThickness; slider[0,0.01,2]

// Thingy thickness2
uniform float TThickness2; slider[0,0.01,2]

// Thingy DE Offset
uniform float DEoffset; slider[0,0,0.01]

// Thingy Translation
uniform vec3 Offset; slider[(-1,-1,-1),(0,0,0),(1,1,1)]

float RoundBox(vec3 p, vec3 csize, float offset)
{
	vec3 di = abs(p) - csize;
	float k=max(di.x,max(di.y,di.z));
	return abs(k*float(k<0.)+ length(max(di,0.0))-offset);
}

float Thingy(vec3 p, float e){
	p-=Offset;
	float rxy=(length(p.xy)-TThickness2);
	return max(rxy, (abs(length(p.xy)*p.z)-e) / sqrt(dot(p,p)+abs(e)));
}

float Thing2(vec3 p){
//Just scale=1 Julia box
	float DEfactor=1.;
   	vec3 ap=p+1.;
	for(int i=0;i<MI && ap!=p;i++){
		ap=p;
		p=2.*clamp(p, -CSize, CSize)-p;
      
		float r2=dot(p,p);
		orbitTrap = min(orbitTrap, abs(vec4(p,r2)));
		float k=max(Size/r2,1.);

		p*=k;DEfactor*=k;
      
		p+=C;
		//orbitTrap = min(orbitTrap, abs(vec4(p,dot(p,p))));
	}
	//Call basic shape and scale its DE
	return abs(0.5*Thingy(p,TThickness)/DEfactor-DEoffset);
	
	//Alternative shape
	//return abs(0.5*RoundBox(p, vec3(1.,1.,1.), 1.0)/DEfactor-DEoffset);
	//Just a plane
	//return abs(0.5*abs(p.z-Offset.z)/DEfactor-DEoffset);
}

float DE(vec3 p){
	return  Thing2(p);//RoundBox(p, CSize, Offset);
}

#preset Default
FOV = 0.4
Eye = -0.403063,1.9298,-0.665688
Target = -7.0861,-3.21698,-5.65729
Up = -0.642408,-0.360621,0.676213
FocalPlane = 4.07919
Aperture = 0
InFocusAWidth = 0.3
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 2.2
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0.16666
BloomPow = 0.5618
BloomTaps = 5
Detail = -3.22126
DetailAO = -0.5
FudgeFactor = 1
MaxRaySteps = 161
MaxDistance = 20
Dither = 0
NormalBackStep = 1
AO = 0,0,0,1
AoCorrect = 0
Specular = 0.01176
SpecularExp = 27.275
CamLight = 1,1,1,0.60378
CamLightMin = 0.67164
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0
ReflectionsNumber = 0 Locked
SpotLight = 1,0.972549,0.807843,1
LightPos = 1.4606,0.7866,0.7866
LightSize = 0.04706
LightFallOff = 0.0822
LightGlowRad = 0.3226
LightGlowExp = 0.9524
HardShadow = 0 Locked
ShadowSoft = 20
BaseColor = 1,1,1
OrbitStrength = 0.55738
X = 0.5,0.6,0.6,0.7
Y = 1,0.6,0,0.4
Z = 0.8,0.78,1,0.5
R = 0.4,0.7,1,0.75
BackgroundColor = 0,0,0
GradientBackground = 0.3
CycleColors = true
Cycles = 1.59086
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 1.62651
HF_Const = 0
HF_Intensity = 0.46155
HF_Dir = 0,0,1
HF_Offset = -3.253
HF_Color = 0.701961,0.803922,0.956863,0.7971
MI = 5
Size = 1
CSize = 0.97478,1.04202,0.97478
C = -0.05972,0.1492,-0.29852
TThickness = 0.01
TThickness2 = 2
DEoffset = 0
Offset = 0.43636,0.85454,-0.14546
#endpreset

#preset P3
FOV = 0.704
Eye = 0.570489,-1.2389,0.515431
Target = -3.54187,7.93662,-0.916136
Up = 0.0748231,-0.166946,0.983123
FocalPlane = 1.4335
Aperture = 0.06024
InFocusAWidth = 1
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 1
ToneMapping = 2
Exposure = 1.40817
Brightness = 1
Contrast = 1.28715
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0.33334
BloomPow = 1.9101
BloomTaps = 6
Detail = -3.5
DetailAO = -2.0741
FudgeFactor = 1
MaxRaySteps = 156
MaxDistance = 20
Dither = 1
NormalBackStep = 1
AO = 0,0,0,0.79592
AoCorrect = 0
Specular = 1
SpecularExp = 381.82
CamLight = 1,1,1,0.9855
CamLightMin = 1
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0
ReflectionsNumber = 0 Locked
SpotLight = 1,0.968627,0.780392,3
LightPos = -0.337,0.9678,1.126
LightSize = 0.0396
LightFallOff = 0.94382
LightGlowRad = 0.3846
LightGlowExp = 0.6329
HardShadow = 1 Locked
ShadowSoft = 0
BaseColor = 1,1,1
OrbitStrength = 0.36364
X = 0.5,0.6,0.6,1
Y = 1,0.6,0,0.74758
Z = 0.8,0.78,1,0.57282
R = 0.4,0.7,1,-0.47058
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 1.35415
CycleColors = false
Cycles = 0.1
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 2.15151
HF_Const = 0
HF_Intensity = 0
HF_Dir = 0,0,1
HF_Offset = 0
HF_Color = 0.545098,0.662745,0.854902,0.82609
MI = 10
Size = 1
CSize = 0.92436,0.90756,1
C = 0,0,0
TThickness = 0
TThickness2 = 2
DEoffset = 0
Offset = 0,0,0
#endpreset

#preset Kleinian Forest
FOV = 0.704
Eye = 0.0190989,-6.29529,-1.82839
Target = 3.86411,-10.6502,-1.65367
Up = -0.199834,-0.12492,0.971834
FocalPlane = 1.4335
Aperture = 0.01786
InFocusAWidth = 0.32857
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 1
ToneMapping = 5
Exposure = 1
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0.16666
BloomPow = 0.5618
BloomTaps = 5
Detail = -3
DetailAO = -1.53657
FudgeFactor = 0.90361
MaxRaySteps = 605
MaxDistance = 20
Dither = 0.45614
NormalBackStep = 1
AO = 0,0,0,1
AoCorrect = 0
Specular = 0.07143
SpecularExp = 16
CamLight = 1,1,1,1
CamLightMin = 0.68657
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0
ReflectionsNumber = 0 Locked
SpotLight = 1,1,1,2.81159
LightPos = 1.1688,-0.7866,0.1298
LightSize = 0.03
LightFallOff = 0.16438
LightGlowRad = 0.74325
LightGlowExp = 0.46665
HardShadow = 0.58462 Locked
ShadowSoft = 0
BaseColor = 1,1,1
OrbitStrength = 0.67089
X = 0.666667,0.666667,0.498039,1
Y = 1,0.933333,0.419608,1
Z = 0,1,0.498039,-0.73076
R = 0.0588235,0.454902,0.137255,0.26214
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 1.35415
CycleColors = false
Cycles = 0.1
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 0.11111
HF_Const = 0
HF_Intensity = 1
HF_Dir = 0,0,-1
HF_Offset = -0.1204
HF_Color = 0.678431,0.721569,0.854902,0.2029
MI = 10
Size = 1.12
CSize = 0.9322,0.90756,0.92436
C = 1.86088,-0.01504,-0.10528
TThickness = 0.01
TThickness2 = 2
DEoffset = 0.00095
Offset = 0.2088,0.2844,-0.16484
#endpreset

#preset Reflexions
FOV = 0.704
Eye = 0.275258,-1.45871,0.416838
Target = 0,0,0
Up = -0.798787,0.314638,0.512779
FocalPlane = 5.24145
Aperture = 0.01
InFocusAWidth = 0.65152
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 2.2
ToneMapping = 2
Exposure = 0.08256
Brightness = 1
Contrast = 1
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0.0482
BloomPow = 1.9101
BloomTaps = 5
Detail = -3.5
DetailAO = -1.19511
FudgeFactor = 1
MaxRaySteps = 276
MaxDistance = 12
Dither = 0.7807
NormalBackStep = 0
AO = 0,0,0,1
AoCorrect = 0.51111
Specular = 0.01
SpecularExp = 50
CamLight = 0.815686,0.905882,1,0.34616
CamLightMin = 1
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0.44715
ReflectionsNumber = 2 Locked
SpotGlow = false
SpotLight = 1,0.901961,0.827451,10
LightPos = 0,0.7526,0.7526
LightSize = 0.02353
LightFallOff = 2
LightGlowRad = 0.1282
LightGlowExp = 2.53165
HardShadow = 0.93846 Locked
ShadowSoft = 0
BaseColor = 1,1,1
OrbitStrength = 1
X = 0.5,0.6,0.6,1
Y = 1,0.6,0,0.47126
Z = 0.8,0.78,1,-1
R = 0.894118,0.709804,1,0.67442
BackgroundColor = 0.882353,0.94902,1
GradientBackground = 0
CycleColors = false
Cycles = 0.1
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 1.63635
HF_Const = 0
HF_Intensity = 0.07339
HF_Dir = 0,0,1
HF_Offset = 0.3654
HF_Color = 0.639216,0.780392,1,0
HF_Scatter = 4.0541
HF_Anisotropy = 0.5
HF_CastShadow = true
MI = 9
Size = 0.88888
CSize = 0.81608,0.9307,0.92436
C = 0,0,0
TThickness = 0
TThickness2 = 2
DEoffset = 0
Offset = 0,0,0
#endpreset

#preset Noname
FOV = 0.704
Eye = 0.430269,-0.41332,0.28518
Target = -1.26643,1.34814,-0.230234
Up = 0.10394,-0.107926,0.988711
FocalPlane = 1.4335
Aperture = 0
InFocusAWidth = 0.11429
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 1
ToneMapping = 2
Exposure = 1.37754
Brightness = 1
Contrast = 1.53465
Saturation = 1.3441
GaussianWeight = 2.1667
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0
BloomPow = 1.573
BloomTaps = 10
Detail = -3
DetailAO = -0.08645
FudgeFactor = 1
MaxRaySteps = 264
MaxDistance = 187.5
Dither = 0.39474
NormalBackStep = 1
AO = 0,0,0,0.93878
AoCorrect = 0
Specular = 0.05882
SpecularExp = 18.18
CamLight = 1,1,1,1
CamLightMin = 0.81818
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0
ReflectionsNumber = 0 Locked
SpotLight = 0.980392,0.913725,0.741176,4
LightPos = 0.3226,2.043,2.043
LightSize = 0.07921
LightFallOff = 0.5
LightGlowRad = 0.74325
LightGlowExp = 0.46665
HardShadow = 1 Locked
ShadowSoft = 0
BaseColor = 0.784314,0.694118,0.607843
OrbitStrength = 0.53247
X = 1,0,0,1
Y = 0,1,0.14902,0.70874
Z = 0,0.0980392,1,0.94174
R = 1,0.988235,0.647059,0.58824
BackgroundColor = 0,0,0
GradientBackground = 1.35415
CycleColors = false
Cycles = 13.1623
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 1.90908
HF_Const = 0
HF_Intensity = 0
HF_Dir = 0,0,1
HF_Offset = 0
HF_Color = 0.545098,0.662745,0.854902,0.82609
MI = 15
Size = 1
CSize = 0.87128,0.49504,1.30694
C = 0,0,0
TThickness = 0
TThickness2 = 2
DEoffset = 0
Offset = 0,0,0.26086
#endpreset

#preset ForGodRays
FOV = 0.704
Eye = 0.664535,-1.61343,0.414598
Target = 0.524877,-10.7107,4.92815
Up = 0.177967,0.319221,0.93082
FocalPlane = 0.77935
Aperture = 0
InFocusAWidth = 0.65152
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 2.2
ToneMapping = 5
Exposure = 0.5
Brightness = 1
Contrast = 1.2
Saturation = 1.4
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0.16666
BloomPow = 0.5618
BloomTaps = 5
Detail = -3.5
DetailAO = -1.19511
FudgeFactor = 1
MaxRaySteps = 128
MaxDistance = 12
Dither = 0
NormalBackStep = 0
AO = 0,0,0,1
AoCorrect = 0.51111
Specular = 0.60466
SpecularExp = 223.215
CamLight = 0.815686,0.905882,1,0.18868
CamLightMin = 0.73134
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0.37179
ReflectionsNumber = 0 Locked
SpotLight = 1,0.901961,0.827451,2
LightPos = 0.3226,-2.258,2.043
LightSize = 0.01
LightFallOff = 0.16438
LightGlowRad = 0.3226
LightGlowExp = 1.3492
HardShadow = 1 Locked
ShadowSoft = 0
BaseColor = 1,1,1
OrbitStrength = 0.42857
X = 0.5,0.6,0.6,0.37864
Y = 1,0.6,0,0.49514
Z = 0.8,0.78,1,0.45632
R = 0.894118,0.709804,1,1
BackgroundColor = 0.882353,0.94902,1
GradientBackground = 0
CycleColors = false
Cycles = 0.1
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 0.11111
HF_Const = 0
HF_Intensity = 0
HF_Dir = 0,0,-1
HF_Offset = -0.1204
HF_Color = 0.678431,0.721569,0.854902,0.2029
MI = 8
Size = 0.70968
CSize = 0.63248,0.78632,0.5812
C = 0,0,0
TThickness = 0.00338
TThickness2 = 0.91428
DEoffset = 0
Offset = 0,0,0
#endpreset

#preset P4
FOV = 0.704
Eye = -0.851386,0.557578,0.751652
Target = -9.54205,-4.13288,-1.61966
Up = -0.0293072,-0.0280992,0.999175
FocalPlane = 1.17277
Aperture = 0.015
InFocusAWidth = 0.64286
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 1
ToneMapping = 2
Exposure = 1.19388
Brightness = 1
Contrast = 1.28715
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = true
BloomIntensity = 0.22222
BloomPow = 1.1236
BloomTaps = 5
Detail = -3.5
DetailAO = -1.03705
FudgeFactor = 1
MaxRaySteps = 330
MaxDistance = 20
Dither = 0.45614
NormalBackStep = 1
AO = 0,0,0,1
AoCorrect = 0
Specular = 0.82352
SpecularExp = 381.82
CamLight = 1,1,1,1
CamLightMin = 0.90361
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0.32632
ReflectionsNumber = 1 Locked
SpotLight = 1,0.866667,0.521569,2.4559
LightPos = -0.3226,-0.9678,0.9678
LightSize = 0.05941
LightFallOff = 0.49438
LightGlowRad = 0.3205
LightGlowExp = 1.64555
HardShadow = 0.9878 Locked
ShadowSoft = 0
BaseColor = 1,1,1
OrbitStrength = 0.53247
X = 0.5,0.6,0.6,1
Y = 1,0.6,0,0.74758
Z = 0.8,0.78,1,0.57282
R = 0.4,0.7,1,-0.47058
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 1.35415
CycleColors = false
Cycles = 0.1
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 1.09093
HF_Const = 0
HF_Intensity = 0.25926
HF_Dir = 0,0,1
HF_Offset = 0
HF_Color = 0.545098,0.662745,0.854902,0.1
MI = 10
Size = 1
CSize = 0.92436,0.90756,1
C = 0,0,0
TThickness = 0
TThickness2 = 1.04652
DEoffset = 0
Offset = 0,0,0.46296
#endpreset


#preset P5
FOV = 0.704
Eye = -0.700094,0.609588,0.47622
Target = -9.65958,-4.01911,-0.729507
Up = 0.0708397,0.0305424,0.99702
FocalPlane = 1.17277
Aperture = 0.01
InFocusAWidth = 0.64286
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 1
ToneMapping = 2
Exposure = 1.2963
Brightness = 1
Contrast = 1.43565
Saturation = 1
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = true
BloomIntensity = 0.08334
BloomPow = 1.6854
BloomTaps = 10
Detail = -3.5
DetailAO = -0.43211
FudgeFactor = 1
MaxRaySteps = 232
MaxDistance = 20
Dither = 0.45614
NormalBackStep = 1
AO = 0,0,0,0.94898
AoCorrect = 0
Specular = 1
SpecularExp = 444.445
CamLight = 0.811765,0.87451,1,1.13044
CamLightMin = 0.71084
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0.32632
ReflectionsNumber = 2 Locked
SpotLight = 1,0.866667,0.521569,3
LightPos = 0.5376,-0.9678,0.9678
LightSize = 0.18812
LightFallOff = 0.29214
LightGlowRad = 0.3205
LightGlowExp = 1.64555
HardShadow = 1 Locked
ShadowSoft = 0
BaseColor = 1,1,1
OrbitStrength = 0.44156
X = 0.996078,0,0,0.5534
Y = 0,1,0,0.767
Z = 0.0666667,0,1,0.68932
R = 1,0.337255,0.117647,0.68628
BackgroundColor = 0.6,0.6,0.45
GradientBackground = 1.35415
CycleColors = false
Cycles = 0.1
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 0.9091
HF_Const = 0
HF_Intensity = 0.22221
HF_Dir = 0,0,1
HF_Offset = 0
HF_Color = 0.619608,0.780392,1,0.15
MI = 10
Size = 1
CSize = 0.92436,1.4359,0.90228
C = 0,0,0
TThickness = 0.08696
TThickness2 = 1.06976
DEoffset = 0
Offset = 0,0,0.11112
#endpreset

#preset Alien
FOV = 0.704
Eye = 0.578395,-0.602175,0.12726
Target = -1.60651,0.510368,-0.358174
Up = 0.125635,-0.110709,0.98588
FocalPlane = 1.4335
Aperture = 0
InFocusAWidth = 0.11429
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 0.43955
ToneMapping = 2
Exposure = 1.81482
Brightness = 1
Contrast = 1.42855
Saturation = 1.3441
GaussianWeight = 2.1667
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0
BloomPow = 1.573
BloomTaps = 10
Detail = -3.5
DetailAO = -0.9506
FudgeFactor = 0.39394
MaxRaySteps = 351
MaxDistance = 187.5
Dither = 0.39474
NormalBackStep = 1
AO = 0,0,0,0.95062
AoCorrect = 0.72727
Specular = 0.04706
SpecularExp = 18.18
CamLight = 1,1,1,1.1923
CamLightMin = 0.45455
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0
ReflectionsNumber = 0 Locked
SpotLight = 0.980392,0.913725,0.741176,1.5556
LightPos = -2.3684,-1.3158,1.579
LightSize = 0.08333
LightFallOff = 0
LightGlowRad = 0.74325
LightGlowExp = 0.46665
HardShadow = 1 Locked
ShadowSoft = 0
BaseColor = 0.784314,0.784314,0.784314
OrbitStrength = 0.85
X = 1,0,0,0.65116
Y = 0,1,0.14902,0.53488
Z = 0,0.0980392,1,1
R = 1,0.698039,0.576471,0.34118
BackgroundColor = 0,0,0
GradientBackground = 1.35415
CycleColors = false
Cycles = 13.1623
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 2.19513
HF_Const = 0
HF_Intensity = 0.28125
HF_Dir = 0,0,1
HF_Offset = 0
HF_Color = 0.545098,0.662745,0.854902,1.55769
MI = 15
Size = 1
CSize = 0.87128,0.52,1.06
C = 0,-0.33044,0.26088
TThickness = 0
TThickness2 = 2
DEoffset = 0
Offset = -0.34066,0.53846,0.05494
#endpreset


#preset Godrays
FOV = 0.704
Eye = 0.66238,-1.10131,0.0925241
Target = 0.171535,-10.2175,4.54291
Up = 0.170955,0.311016,0.934903
FocalPlane = 0.77935
Aperture = 5e-05
InFocusAWidth = 0.65152
ApertureNbrSides = 5
ApertureRot = 0
ApStarShaped = false
Gamma = 2.2
ToneMapping = 5
Exposure = 0.5
Brightness = 1
Contrast = 1.2
Saturation = 1.4
GaussianWeight = 1
AntiAliasScale = 1.5
Bloom = false
BloomIntensity = 0.16666
BloomPow = 0.5618
BloomTaps = 5
Detail = -3.5
DetailAO = -1.15598
FudgeFactor = 1
MaxRaySteps = 256
MaxDistance = 12
Dither = 1
NormalBackStep = 0
AO = 0,0,0,1
AoCorrect = 0
Specular = 0
SpecularExp = 165
CamLight = 0.733333,0.941176,1,0.20618
CamLightMin = 1
Glow = 1,1,1,0
GlowMax = 0
Reflection = 0
ReflectionsNumber = 0 Locked
SpotGlow = false
SpotLight = 1,0.901961,0.827451,10
LightPos = 0.3226,-2.258,2.2486
LightSize = 0
LightFallOff = 1.21368
LightGlowRad = 0.3226
LightGlowExp = 1.3492
HardShadow = 1 Locked
ShadowSoft = 0
BaseColor = 0.741176,0.741176,0.741176
OrbitStrength = 0.4381
X = 0.5,0.6,0.6,0.69466
Y = 1,0.6,0,0.70992
Z = 0.8,0.78,1,-0.19084
R = 0.894118,0.709804,1,0.46154
BackgroundColor = 0,0,0
GradientBackground = 0
CycleColors = false
Cycles = 14.2777
EnableFloor = false
FloorNormal = 0,0,0
FloorHeight = 0
FloorColor = 1,1,1
HF_Fallof = 0.11111
HF_Const = 0.12097
HF_Intensity = 0
HF_Dir = 0,0,-1
HF_Offset = -0.1204
HF_Color = 0.678431,0.721569,0.854902,0
HF_Scatter = 0.5405
HF_Anisotropy = 0.42
HF_CastShadow = true
MI = 8
Size = 0.70968
CSize = 0.63248,0.78632,0.875
C = 0,0,0
TThickness = 0
TThickness2 = 0.92784
DEoffset = 0
Offset = 0,0,0
#endpreset
